Imports DevExpress.Web

Public Class ucUsuDiscapacidad
    Inherits System.Web.UI.UserControl

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then
            ObjectUsuDiscapacidad.SelectParameters("idUsuario").DefaultValue = CInt(Page.User.Identity.Name)


        End If
    End Sub

    Protected Sub gridDiscapacidades_RowInserting(sender As Object, e As DevExpress.Web.Data.ASPxDataInsertingEventArgs) Handles gridDiscapacidades.RowInserting
        e.NewValues("idUsuario") = CInt(Page.User.Identity.Name)
    End Sub

    Protected Sub gridDiscapacidades_RowUpdating(sender As Object, e As DevExpress.Web.Data.ASPxDataUpdatingEventArgs) Handles gridDiscapacidades.RowUpdating
        e.NewValues("idDiscapacidad") = (CType(sender, ASPxGridView)).GetRowValuesByKeyValue(e.Keys(0), New String() {"idDiscapacidad"})
    End Sub
End Class